%global plugin_name workflow-job

Summary:    Defines a new job type for pipelines in Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    2.10
Release:    10%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Job+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-job-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-workflow-support
Requires:   jenkins-plugin-workflow-step-api

%description
Defines a new job type for pipelines and provides their generic user interface.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 2.10 - 2.10-10
- rebuilt

* Thu Jul 06 2017 root - 2.13-1
- Update to 2.13

* Mon Mar 13 2017 Troy Dawson <tdawson@redhat.com> - 2.10-1
- Update to 2.10

* Wed Jan 18 2017 Troy Dawson <tdawson@redhat.com> - 2.9-1
- Update to 2.9

* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 2.8-1
- Update to latest version

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.2-1
- Initial package
